Bug 735352 - qpid-config add queue Q --file-size=32768 --file-count=4 --durable --cluster-durable' fails with SessionException on i[36]86
Summary: qpid-config add queue Q --file-size=32768 --file-count=4 --durable --cluster-...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Kim van der Riet
QA Contact: Eric Sammons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 13:07 UTC by Stanislav Graf
Modified: 2019-02-08 15:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
qpidd log on RHEL5.8 (18.04 KB, application/x-bzip)
2012-03-03 21:44 UTC, Leonid Zhaldybin
no flags Details
qpidd log on RHEL6.2 (18.58 KB, application/x-bzip)
2012-03-03 21:45 UTC, Leonid Zhaldybin
no flags Details

Description Stanislav Graf 2011-09-02 13:07:39 UTC
Description of problem:
'qpid-config add queue Q --file-size=32768 --file-count=4 --durable --cluster-durable' fails with SessionException on i[36]86 machine on RHEL 5.7 / 6.1. Combination --file-size=32768 --file-count=4 is valid and thus command should create the queue.

[root@rhel6i ~]$ service qpidd restart
Stopping Qpid AMQP daemon:                                 [  OK  ]
Starting Qpid AMQP daemon:                                 [  OK  ]
[14:27:16] ecode=0

[root@rhel6i ~]$ qpid-config add queue qname_test --file-size=32768 --file-count=4 --durable --cluster-durable
Failed: SessionException: (None, '[Errno 104] Connection reset by peer')
[14:28:08] ecode=1

[root@rhel6i ~]$ du -sh /var/lib/qpidd/
2.0G  /var/lib/qpidd/
[14:29:19] ecode=0

[root@rhel6i ~]$ cat /var/lib/qpidd/daemon_log.txt | grep -i error
2011-09-02 14:28:08 error Unexpected exception: Queue qname_test: create() failed: jexception 0x0401 fcntl::clean_file() threw JERR_FCNTL_WRITE: Unable to write to file. (wr_size=2097152 errno=22 (Invalid argument)) (MessageStoreImpl.cpp:533)
2011-09-02 14:28:08 error Connection 127.0.0.1:5672-127.0.0.1:42719 closed by error: Queue qname_test: create() failed: jexception 0x0401 fcntl::clean_file() threw JERR_FCNTL_WRITE: Unable to write to file. (wr_size=2097152 errno=22 (Invalid argument)) (MessageStoreImpl.cpp:533)(501)
[14:30:22] ecode=0

Version-Release number of selected component (if applicable):
RHEL 5.7 and 6.1, i386/i686 arch

condor-qmf-7.6.3-0.3.el6.i686
python-qpid-0.10-1.el6.noarch
python-qpid-qmf-0.10-10.el6.i686
qpid-cpp-client-0.10-6.el6.i686
qpid-cpp-client-devel-0.10-6.el6.i686
qpid-cpp-client-devel-docs-0.10-6.el6.noarch
qpid-cpp-client-rdma-0.10-6.el6.i686
qpid-cpp-client-ssl-0.10-6.el6.i686
qpid-cpp-debuginfo-0.10-6.el6.i686
qpid-cpp-server-0.10-6.el6.i686
qpid-cpp-server-devel-0.10-6.el6.i686
qpid-cpp-server-rdma-0.10-6.el6.i686
qpid-cpp-server-ssl-0.10-6.el6.i686
qpid-cpp-server-store-0.10-6.el6.i686
qpid-cpp-server-xml-0.10-6.el6.i686
qpid-java-client-0.10-6.el6.noarch
qpid-java-common-0.10-6.el6.noarch
qpid-java-example-0.10-6.el6.noarch
qpid-java-jca-0.10-6.el6.noarch
qpid-qmf-0.10-10.el6.i686
qpid-qmf-debuginfo-0.10-10.el6.i686
qpid-qmf-devel-0.10-10.el6.i686
qpid-tests-0.10-1.el6.noarch
qpid-tools-0.10-5.el6.noarch
rh-qpid-cpp-tests-0.10-6.el6.i686
ruby-qpid-0.7.946106-2.el6.i686
ruby-qpid-qmf-0.10-10.el6.i686

How reproducible:
100%

Steps to Reproduce:
1. service qpidd restart
2. qpid-config add queue qname_test --file-size=32768 --file-count=4 --durable --cluster-durable
3. du -sh /var/lib/qpidd/
  
Actual results:
Journal creation failed at 2GB

Expected results:
Journal created, its size is 4x2GB=8GB

Additional info:

Comment 1 Leonid Zhaldybin 2012-03-03 21:43:57 UTC
I reproduced the bug on RHEL6.2 i686 using the following packages:

python-qpid-0.12-1.el6.noarch
python-qpid-qmf-0.12-6.el6.i686
qpid-cpp-client-0.12-6.el6.i686
qpid-cpp-client-devel-0.12-6.el6.i686
qpid-cpp-client-devel-docs-0.12-6.el6.noarch
qpid-cpp-client-rdma-0.12-6.el6.i686
qpid-cpp-client-ssl-0.12-6.el6.i686
qpid-cpp-server-0.12-6.el6.i686
qpid-cpp-server-cluster-0.12-6.el6.i686
qpid-cpp-server-devel-0.12-6.el6.i686
qpid-cpp-server-rdma-0.12-6.el6.i686
qpid-cpp-server-ssl-0.12-6.el6.i686
qpid-cpp-server-store-0.12-6.el6.i686
qpid-cpp-server-xml-0.12-6.el6.i686
qpid-java-client-0.10-9.el6.noarch
qpid-java-common-0.10-9.el6.noarch
qpid-java-example-0.10-9.el6.noarch
qpid-qmf-0.12-6.el6.i686
qpid-qmf-devel-0.12-6.el6.i686
qpid-tools-0.12-2.el6.noarch
ruby-qpid-qmf-0.12-6.el6.i686

My test results on RHEL5.8 look somewhat different, though. 'qpid-config' command returns exit code 0, but qpid-stat shows that the queue was not created. The journal's size in this case is also around 2GB.

[root@lzhaldyb-rhel58i ~]# service qpidd start
Starting Qpid AMQP daemon:                                 [  OK  ]
[root@lzhaldyb-rhel58i ~]# echo $?
0
[root@lzhaldyb-rhel58i ~]# qpid-config add queue test_q --file-size=32768 --file-count=4 --durable --cluster-durable
[root@lzhaldyb-rhel58i ~]# echo $?
0
[root@lzhaldyb-rhel58i ~]# du -sh /var/lib/qpidd/
2.1G    /var/lib/qpidd

Packages I used for testing on RHEL5.8 i386:

python-qpid-0.10-1.el5
python-qpid-qmf-0.10-11.el5
qpid-cpp-client-0.10-9.el5
qpid-cpp-client-devel-0.10-9.el5
qpid-cpp-client-rdma-0.10-9.el5
qpid-cpp-client-ssl-0.10-9.el5
qpid-cpp-server-0.10-9.el5
qpid-cpp-server-cluster-0.10-9.el5
qpid-cpp-server-devel-0.10-9.el5
qpid-cpp-server-rdma-0.10-9.el5
qpid-cpp-server-ssl-0.10-9.el5
qpid-cpp-server-store-0.10-9.el5
qpid-cpp-server-xml-0.10-9.el5
qpid-java-client-0.10-9.el5
qpid-java-common-0.10-9.el5
qpid-java-example-0.10-9.el5
qpid-qmf-0.10-11.el5
qpid-qmf-devel-0.10-11.el5
qpid-tools-0.10-6.el5
ruby-qpid-qmf-0.10-11.el5

Comment 2 Leonid Zhaldybin 2012-03-03 21:44:52 UTC
Created attachment 567338 [details]
qpidd log on RHEL5.8

Comment 3 Leonid Zhaldybin 2012-03-03 21:45:49 UTC
Created attachment 567339 [details]
qpidd log on RHEL6.2


Note You need to log in before you can comment on or make changes to this bug.